<?php
	//程式版本資訊
	$version = "0.9 (20051101)";

	//請設為與你伺服器相同的字元編碼
	$charset = "utf-8";

	//取得目前的路徑及相關檔名
	$fullname = getenv("SCRIPT_NAME");
	$index = explode('/',$fullname);
	$count = count($index);
	if($index[$count-1] == ""){
		$script_name = "index.php";
	}else{
		$script_name = $index[$count-1];
	}
	$ini_name = preg_replace('/\.(\w*)$/','.ini.$1',$script_name);
	$page_title = preg_replace("/$script_name$/",'',$fullname);
?>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $charset;?>" />
	<style>
		*	{	font-family:Verdana; line-height:150%; font-size:13px; color:#333333;	}
		h2	{	font-size:14px;	}
		h2 a	{	border:1px solid #CCCCCC; background:#DDDDDD; padding-left:2px; padding-right:2px;	}
		h2 a:hover	{	border:1px outset #FFFFFF ;background:#CCCCFF; text-decoration:none;	}
		h3	{	font-size:16px;	}
		a {  color: #0000FF; text-decoration: none;}
		a:hover {  color: #FF0000; text-decoration: underline;}
		table.list	{	border-top:solid 1px #CCCCCC; border-bottom:solid 1px #CCCCCC; width:95%;	}
		table.list th	{	text-align:left; padding-left:10px; color:darkblue;	}
		table.list td	{	border-top:dashed 1px #CCCCCC; padding-left:10px;	}
		blockquote	{	margin-right:0px;	}
		div.nav	{	text-align:right; font-size:smaller; width:95%;	}
		table.copyright	{	width:100%; background-color:#CCCCCC;	}
		table.copyright th	{	padding-left:20px; color:darkblue; text-align:left;	}
		table.copyright td	{	padding-right:20px; color:darkblue; text-align:right;	}
		table.copyright a	{	color:darkblue;	}
	</style>
	<title>Index of <?php echo $page_title;?></title>
</head>
<body bgColor="#FFFFFF">
<a name=\"Top\"></a>
<?php
print "<h2>Index of ";
for( $i=0; $i<$count-1; $i++){
	$current .= urlencode($index[$i]) . "/";
	print "<a href=\"$current\">" . $index[$i] . "/</a>";
}
print "</h2>";

//取得路徑
$path = getcwd();
$dh = opendir($path);

//指定儲存目錄及檔案名稱的陣列
$array_dir  = array();
$array_file = array();

//儲存目錄及檔案名稱到陣列
while(($filename = readdir($dh)) !== false){
	if(is_dir($filename)){
		if($filename != "."){
			$array_dir[] = $filename;
		}
	}else{
		if($filename != $script_name && $filename != $ini_name){
			$array_file[] = $filename;
		}
	}
}
closedir($dh);

//列出目錄
sort($array_dir);
print "<a name=\"Directories\"></a><h3>Directories</h3><blockquote><table class=\"list\" cellspacing=\"0\"><tr bgColor=\"#EEEEEE\"><th>Name</th><th>Last modified</th><th>Description</th></tr>";
foreach($array_dir as $item){
	print "<tr onMouseOver=\"this.style.background='#EEEEFF';\" onMouseOut=\"if(this.tag!='#FFCCDD'){this.style.background='#FFFFFF';}else{this.style.background=this.tag;}\" onClick=\"if(this.tag=='#FFCCDD'){this.style.background='#EEEEFF';this.tag='';}else{this.style.background='#FFCCDD';this.tag='#FFCCDD';}\">";
	print "<td>[<a href='" . urlencode($item) ."'>" . $item . "</a>]</td><td>" . date("Y-m-d H:i:s",filectime($item)) . "</td><td>&nbsp;</td></tr>\n";
}
print "</table>";
print "<div class=\"Nav\"><a href=\"#Top\">Top</a> | <a href=\"#Directories\">Directories</a> | <a href=\"#Files\">Files</a></div></blockquote>";

//列出檔案
if($array_file){
	sort($array_file);
	print "<a name=\"Files\"></a><h3>Files</h3><blockquote><table class=\"list\" cellspacing=\"0\"><tr bgColor=\"#EEEEEE\"><th>Name</th><th>Size</th><th>Last modified</th><th>Description</th></tr>";
	foreach($array_file as $item){
		$size = filesize($item);
		if($size >= 1073741824){
			$size = ((int)($size/107374182.4))/10 . "G";
		}else if($size >= 1048576){
			$size = ((int)($size/104857.6))/10 . "M";
		}else if($size >= 1024){
			$size = ((int)($size/102.4))/10 . "K";
		}
		print "<tr onMouseOver=\"this.style.background='#EEEEFF';\" onMouseOut=\"if(this.tag!='#FFCCDD'){this.style.background='#FFFFFF';}else{this.style.background=this.tag;}\" onClick=\"if(this.tag=='#FFCCDD'){this.style.background='#EEEEFF';this.tag='';}else{this.style.background='#FFCCDD';this.tag='#FFCCDD';}\">";
		print "<td><a href='" . urlencode($item) ."'>" . $item . "</a></td><td>" . $size . "</td><td>" . date("Y-m-d H:i:s",filectime($item)) . "</td><td>&nbsp;</td></tr>\n";
	}
	print "</table>";
	print "<div class=\"Nav\"><a href=\"#Top\">Top</a> | <a href=\"#Directories\">Directories</a> | <a href=\"#Files\">Files</a></div></blockquote>";
}

?>
<br>
<table class="copyright"><tr><th><a href="http://www.vixual.net/coding/" target="_blank">Simple Filelist Ver:<?php print $version;?></a></th><td>Copyright 2006 by <a href="http://www.vixual.net/" target="_blank">Vixual</a></td></tr></table>
</body>
</html>
